# Uses of Interface
org.eclipse.birt.core.script.IScriptEngine

Packages that use IScriptEngine
Package
Description
org.eclipse.birt.core.script
Provides Java Script support to BIRT.

## Uses of IScriptEngine in org.eclipse.birt.core.script

Methods in org.eclipse.birt.core.script that return IScriptEngine
Modifier and Type
Method
Description
`IScriptEngine`
IScriptEngineFactory.`createScriptEngine()`
Returns an instance of IScriptEngine associated with this factory.
`IScriptEngine`
ScriptContext.`getScriptEngine(String scriptName)`